Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.fgov.ehealth.standards.kmehr.cd.v1
Enum CDINCAPACITYvalues

    java.lang.Object
      java.lang.Enum<CDINCAPACITYvalues>
          be.fgov.ehealth.standards.kmehr.cd.v1.CDINCAPACITYvalues

All Implemented Interfaces:
  Serializable, Comparable<CDINCAPACITYvalues>

    public enum CDINCAPACITYvalues

extends Enum<CDINCAPACITYvalues>

Java class for CD-INCAPACITYvalues.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="CD-INCAPACITYvalues">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="work"/>
         <enumeration value="swim"/>
         <enumeration value="sport"/>
         <enumeration value="school"/>
         <enumeration value="schoolsports"/>
         <enumeration value="travel"/>
         <enumeration value="vote"/>
         <enumeration value="heavyphysicalactivity"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`HEAVYPHYSICALACTIVITY`
`SCHOOL`
`SCHOOLSPORTS`
`SPORT`
`SWIM`
`TRAVEL`
`VOTE`
`WORK`

Method Summary
`static CDINCAPACITYvalues` | `fromValue(String v)`
`String` | `value()`
`static CDINCAPACITYvalues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CDINCAPACITYvalues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### WORK

    public static final CDINCAPACITYvalues WORK

### SWIM

    public static final CDINCAPACITYvalues SWIM

### SPORT

    public static final CDINCAPACITYvalues SPORT

### SCHOOL

    public static final CDINCAPACITYvalues SCHOOL

### SCHOOLSPORTS

    public static final CDINCAPACITYvalues SCHOOLSPORTS

### TRAVEL

    public static final CDINCAPACITYvalues TRAVEL

### VOTE

    public static final CDINCAPACITYvalues VOTE

### HEAVYPHYSICALACTIVITY

    public static final CDINCAPACITYvalues HEAVYPHYSICALACTIVITY

Method Detail

### values

    public static CDINCAPACITYvalues[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CDINCAPACITYvalues c : CDINCAPACITYvalues.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CDINCAPACITYvalues valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static CDINCAPACITYvalues fromValue(String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.17.1 API
Copyright © {inceptionYear}-2019 eHealth. All Rights Reserved.